Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Class LabelSequence

    java.lang.Object
      cc.mallet.types.FeatureSequence
          cc.mallet.types.LabelSequence

All Implemented Interfaces:
  AlphabetCarrying, Sequence, java.io.Serializable

    public class LabelSequence

extends FeatureSequence
implements AlphabetCarrying, java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`class` | `LabelSequence.Iterator`

Constructor Summary
`LabelSequence(Alphabet dict)`
`LabelSequence(Label[] labels)`
`LabelSequence(LabelAlphabet dict, int capacity)`
`LabelSequence(LabelAlphabet dict, int[] features)`

Method Summary
`LabelAlphabet` | `getLabelAlphabet()`
`Label` | `getLabelAtPosition(int pos)`
`LabelSequence.Iterator` | `iterator()`

Methods inherited from class cc.mallet.types.FeatureSequence
`add, add, addFeatureWeightsTo, addFeatureWeightsTo, alphabetsMatch, get, getAlphabet, getAlphabets, getFeatures, getIndexAtPosition, getLength, getObjectAtPosition, growIfNecessary, prune, size, toFeatureIndexSequence, toSortedFeatureIndexSequence, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cc.mallet.types.AlphabetCarrying
`getAlphabet, getAlphabets`

Constructor Detail

### LabelSequence

    public LabelSequence(LabelAlphabet dict,
                         int[] features)

### LabelSequence

    public LabelSequence(LabelAlphabet dict,
                         int capacity)

### LabelSequence

    public LabelSequence(Label[] labels)

### LabelSequence

    public LabelSequence(Alphabet dict)

Method Detail

### getLabelAlphabet

    public LabelAlphabet getLabelAlphabet()

### getLabelAtPosition

    public Label getLabelAtPosition(int pos)

### iterator

    public LabelSequence.Iterator iterator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD